package jp.kwebs;

import java.util.Arrays;

public class Csv {
	/*
	 * Csvクラスのsplitメソッドの引数を正規表現で書き直しています。
	 * コンマの両側に空白がある場合、それも区切り文字とみなします。
	 * また、改行も区切り文字とみなします
	 */
	
	private String[] items;
	
	public Csv(String csvString) {

		this.items = csvString.split("(\\s*,\\s*)|\n");
	}
	
	public String get(int index) {
		return items[index];
	}
	
	public int getInt(int index) {
		return Integer.parseInt(get(index));
	}
	
	public double getDouble(int index) {
		return Double.parseDouble(get(index));
	}
	
	public int size() {
		return items.length;
	}

	public String[] getItems() {
		return items;
	}

	@Override
	public String toString() {
		return "Csv [items=" + Arrays.toString(items) + "]";
	}
	
}
